#
# spec file for package postfix-policyd-spf-perl
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        Perl Postfix policy daemon for SPF checking
License:        GPL-2.0+
Group:          Development/Libraries/Perl
Name:           postfix-policyd-spf-perl
Version:        2.010
Release:        3.1
Url:            https://launchpad.net/postfix-policyd-spf-perl/

Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl
Requires:       postfix >= 2.1
Requires:       perl(Mail::SPF)
Requires:       perl(NetAddr::IP)
Requires:       perl(Sys::Hostname::Long)
BuildArch:      noarch

%description
postfix-policyd-spf-perl is a Postfix SMTPd policy server for SPF
checking.  It is implemented in pure Perl and uses the Mail::SPF CPAN
module.  The SPF web site is http://www.openspf.org/.  The Postfix
configuration must be changed to check SPF.  See INSTALL and README in
%{_docdir}/%{name}.

%prep
%setup
chmod a-x CHANGES INSTALL LICENSE README
sed -i 's@/usr/local/lib@/usr/lib@g' INSTALL README

%build

%install
#  make directories
mkdir -p "$RPM_BUILD_ROOT"/usr/lib
install -T -m 755 postfix-policyd-spf-perl \
        "$RPM_BUILD_ROOT"/usr/lib/policyd-spf-perl

%files
%defattr(-,root,root)
/usr/lib/policyd-spf-perl
%doc CHANGES INSTALL LICENSE README

%changelog
* Mon Sep  9 2013 jengelh@inai.de
- Edit wrong runtime requirement perl-NetAddr-IP (bnc#813381)
- Remove redundant %%clean section
* Thu Sep 20 2012 sweet_f_a@gmx.de
- auto cleanup spec file style
- add some perl module deps
- patch docs to show correct installation paths
- rename binary according to the docs
- update to 2.010:
  - -- 2.010 2012-06-17
  * Fixed incorrect use of != instead of ne for string comparison
    (LP: #1014243)
    ! Changed non-standard X-Comment header fields for localhost
    and whitelisted addresses to use RFC 5451 Authentication
    Results header fields
    ! Added depenency on Sys::Hostname::Long for local hostname
    determination
  - -- 2.009 2012-02-03
  * Chomp erroneus NULLs off the end of local and authority
    explanations to work around a Mail::SPF bug (in Mail::SPF
    versions prior to 2.008)
    (LP: #806926)
  - Patch thanks to Allison Randal
  * Stop logging queue ID since it is virtually never available
    and clutters the logs
  * Reduced non-verbose logging to a single line per message
  - -- 2.008 (2012-01-19 13:46 -0500)
    ! Query only TXT and not DNS RR Type SPF records to reduce
    unnecessary DNS
    lookups (LP: #161133)
  * Changed default_authority_explanation ('Why' reject text) to
    point to openspf.net instead of openspf.org due to extended
    outage
  * Fix incorrect version string
  * Ensure all variables are initialized prior to being passed to
    syslog
* Sat Jun 19 2010 coolo@novell.com
- update to 2.007
